const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    ebx_global_2d_to_2d_local = z.x # ebx;
    v3_b = arg1[48];
    if *((v3_b - 12)) == 0:;
        goto lab_0x73;
    else:;
        v1_21 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+21;
        z.x = z.x & -0x10000 | v1_21 & -0xff01 | v1_21 / 2 & 0x7f00;
        if v1_21 & 256 == 0:;
            # 0x27;
            *ebx_global_2d_to_2d_local = -z.y;
            *z.y = -z.x;
        v1_3c = __asm_fnstsw(fpsw_global_2d_to_2d_local);
        z.x = z.x & -0x10000 | v1_3c & -0xff01 | v1_3c / 2 & 0x7f00;
        if v1_3c & 256 == 0:;
            # 0x42;
            *ebx_global_2d_to_2d_local = -z.z;
            *z.z = -z.x;
        v1_57 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+57;
        z.x = z.x & -0x10000 | v1_57 & -0xff01 | v1_57 / 2 & 0x7f00;
        if v1_57 & 256 == 0:;
            # 0x5d;
            *z.z = -z.y;
            *z.y = -z.z;
        # 0x69;
        if *((v3_b - 16)) == 0:;
            goto lab_0xb8;
        else:;
            goto lab_0x73;
  lab_0x73: # goto label;
    v1_7c = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_7c & -0xff01 | v1_7c / 2 & 0x7f00;
    if v1_7c & 256 == 0:;
        # 0x82;
        *ebx_global_2d_to_2d_local = z.y;
        *z.y = z.x;
    v1_93 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+93;
    z.x = z.x & -0x10000 | v1_93 & -0xff01 | v1_93 / 2 & 0x7f00;
    if v1_93 & 256 == 0:;
        # 0x99;
        *ebx_global_2d_to_2d_local = z.z;
        *z.z = z.x;
    v1_aa = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_aa & -0xff01 | v1_aa / 2 & 0x7f00;
    if v1_aa & 256 == 0:;
        # 0xb0;
        *z.y = z.z;
        *z.z = z.y;
    goto lab_0xb8;
  lab_0xb8: # goto label;
    # 0xb8;
    z.x = ebx_global_2d_to_2d_local;
    return ebx_global_2d_to_2d_local;


	}